#ifndef QUEUE_H
#define QUEUE_H

typedef struct queue {
	size_t size;
	struct queue_item *first;
	struct queue_item *last;
} queue_t;

void queue_init(queue_t *q);
size_t queue_size(queue_t *q);
void queue_push(queue_t *q, void *value);
void *queue_pop(queue_t *q);

#endif
